<ion-header no-border no-lines>
    <ion-navbar hideBackButton>
        <ion-buttons>
            <button color="primary" start icon-only ion-button (click)="dismiss()">
                <ion-icon name="close"></ion-icon>
            </button>
        </ion-buttons>


        <ion-title>{{data.action==2 ? ('EDIT' | translate) : ('ADD' | translate)}} {{ 'ADDRESS' | translate}}
        </ion-title>


        <ion-buttons end>

            <button style="margin: 0 auto" ion-fab mini (click)="checkLocationOnOff()">

                <ion-icon name="pin"></ion-icon>
            </button>
          <h6 style="font-size: 1.0rem">{{ 'LOCATION' | translate}}</h6>
        </ion-buttons>


    </ion-navbar>



</ion-header>

<ion-content>
    <div id="map_canvas"></div>
    <!--<div id="map_canvas"></div>-->
    <!--<div #map id="map" style="height:40%"></div>-->



    <ion-list>
        <form [formGroup]="form" (ngSubmit)="submit()" novalidate>

            <!--<h1 margin-left margin-bottom>{{data.action==2 ? ('EDIT' | translate) : ('ADD' | translate)}} {{ 'ADDRESS' | translate}}</h1>-->
            <ion-item padding-right>
                <ion-label floating>{{ 'FIRST_NAME' | translate}}</ion-label>
                <ion-input formControlName="first_name" type="text"
                           required text-right></ion-input>
            </ion-item>

            <ion-item padding-right>
                <ion-label floating>{{ 'LAST_NAME' | translate}}</ion-label>
                <ion-input formControlName="last_name" type="text"
                           text-right></ion-input>
            </ion-item>

            <ion-item *ngIf="!user.all" padding-right>
                <ion-label floating>{{ 'EMAIL' | translate}}</ion-label>
                <ion-input formControlName="email" type="email" text-right></ion-input>
            </ion-item>

            <ion-item padding-right>
                <ion-label floating>{{ 'PHONE' | translate}}</ion-label>
                <ion-input formControlName="phone" type="number" disabled inputmode="numeric" pattern="[0-9]*"
                           required text-right></ion-input>
            </ion-item>

            <!--<ion-item>-->
            <!--<ion-label>{{ 'COUNTRY' | translate}}</ion-label>-->
            <!--<ion-select formControlName="country" [selectOptions]="countryOpts"-->
            <!--placeholder="{{ 'SELECT' | translate}} {{ 'COUNTRY' | translate}}"-->
            <!--cancelText="{{ 'CANCEL' | translate}}" okText="{{ 'SELECT' | translate}}" required>-->
            <!--&lt;!&ndash;(ionChange)="getStates()" text-right>&ndash;&gt;-->
            <!--&lt;!&ndash;<ion-option *ngFor="let x of countries" [value]="x.id" [innerHTML]="x.name"></ion-option>&ndash;&gt;-->
            <!--<ion-option value='SA' [selected]="true">المملكة العربية السعودية-->
            <!--</ion-option>-->
            <!--</ion-select>-->
            <!--</ion-item>-->

            <!--<ion-item >-->
            <!--<ion-label>{{ 'STATE' | translate}}</ion-label>-->
            <!--<ion-select formControlName="state" [selectOptions]="stateOpts"-->
            <!--placeholder="{{ 'SELECT' | translate}} {{ 'STATE' | translate}}"-->
            <!--cancelText="{{ 'CANCEL' | translate}}" okText="{{ 'SELECT' | translate}}" required text-right>-->
            <!--&lt;!&ndash;<ion-option *ngFor="let x of states" [value]="x.id" [innerHTML]="x.name" ></ion-option>&ndash;&gt;-->
            <!--<ion-option value='المدينةالمنورة' [selected]="true">المدينة المنورة</ion-option>-->
            <!--</ion-select>-->
            <!--</ion-item>-->


            <ion-item padding-right>
                <ion-label floating>{{ 'COUNTRY' | translate}}</ion-label>
                <ion-input formControlName="country" type="text"
                           required text-right value="المملكة العربية السعودية" disabled></ion-input>
            </ion-item>

            <!--<ion-item padding-right>-->
            <!--<ion-label floating >{{ 'STATE' | translate}}</ion-label>-->
            <!--<ion-input formControlName="state" type="text" hidden-->
            <!--required text-right value="المدينةالمنورة" ></ion-input>-->
            <!--</ion-item>-->

            <ion-item padding-right>
                <ion-label floating>{{ 'CITY' | translate}}</ion-label>
                <ion-input formControlName="city" type="text"
                           required text-right value="المدينةالمنورة" disabled></ion-input>
            </ion-item>

            <ion-item padding-right>
                <ion-label floating>{{ 'POSTCODE' | translate}}</ion-label>
                <ion-input formControlName="postcode" type="number" inputmode="numeric" pattern="[0-9]*"
                           required text-right></ion-input>
            </ion-item>

            <ion-item padding-right>
                <ion-label floating>{{ 'ADDRESS' | translate}}</ion-label>
                <ion-textarea  formControlName="address_1" name="description"
                              required text-right></ion-textarea>
            </ion-item>

            <ion-item padding-right>
                <ion-label floating>{{ 'ADDRESS' | translate}}  ({{ 'LATLONG' | translate}})</ion-label>
                <ion-input formControlName="address_2" type="text"
                           required text-right disabled></ion-input>
            </ion-item>



            <ion-item>
                <div >
                    <button style="font-size: 2.0rem;height: 35px;" ion-button block [disabled]="!form.valid">{{ 'SAVE' | translate}}</button>
                </div>
            </ion-item>

        </form>
    </ion-list>
</ion-content>

